=== src/avscripts/CMakeLists.txt ===
if(Q_WS_X11)
  install(PROGRAMS kmail_clamav.sh kmail_sav.sh kmail_fprot.sh kmail_antivir.sh  DESTINATION ${KDE_INSTALL_BINDIR})
endif()
